Package org.apache.commons.dbutils.handlers

# Class ArrayListHandler

java.lang.Object
org.apache.commons.dbutils.handlers.AbstractListHandler<Object[]>
org.apache.commons.dbutils.handlers.ArrayListHandler

All Implemented Interfaces:
  `ResultSetHandler<List<Object[]>>`

public class ArrayListHandler extends AbstractListHandler<Object[]>
`ResultSetHandler` implementation that converts the `ResultSet` into a `List` of `Object[]`s. This class is thread safe.

See Also:
  - `ResultSetHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayListHandler()`
  Creates a new instance of ArrayListHandler using a `BasicRowProcessor` for conversions.
  `ArrayListHandler(RowProcessor convert)`
  Creates a new instance of ArrayListHandler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object[]`
  `handleRow(ResultSet resultSet)`
  Convert row's columns into an `Object[]`.

  ### Methods inherited from class org.apache.commons.dbutils.handlers.AbstractListHandler

  `handle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArrayListHandler

    public ArrayListHandler()
    Creates a new instance of ArrayListHandler using a `BasicRowProcessor` for conversions.

  - ### ArrayListHandler

    public ArrayListHandler(RowProcessor convert)
    Creates a new instance of ArrayListHandler.
    Parameters:
      `convert` - The `RowProcessor` implementation to use when converting rows into Object[]s.

- ## Method Details

  - ### handleRow

    protected Object[] handleRow(ResultSet resultSet) throws SQLException
    Convert row's columns into an `Object[]`.
    Specified by:
      `handleRow` in class `AbstractListHandler<Object[]>`
    Parameters:
      `resultSet` - `ResultSet` to process.
    Returns:
      `Object[]`, never `null`.
    Throws:
      `SQLException` - if a database access error occurs
    See Also:
      - `AbstractListHandler.handle(ResultSet)`